package yukihane.inqubus.config;

import java.io.File;
import static org.junit.Assert.*;

import java.nio.file.FileSystem;
import java.nio.file.FileSystems;
import org.apache.commons.configuration.ConfigurationException;
import org.junit.Test;

/**
 *
 * @author yuki
 */
public class PropertiesTest {

    @Test
    public void testLoadFail() {
        FileSystem fs = FileSystems.getDefault();
        System.out.println(fs.getPath(".").toAbsolutePath());
        Properties p = Properties.INSTANCE;
        try {
            p.load("test/testdata/error.xml");
            fail("ファイルが存在しないので読み込みに失敗するはず");
        } catch (ConfigurationException ex) {
        }
        try{
            p.load("test/testdata/inqubus_test.xml");
            fail("ファイルが空なので読み込みに失敗するはず");
        } catch (ConfigurationException ex) {
        }
    }

//    @Test
//    public void test2() throws ConfigurationException, IllegalArgumentException, IllegalAccessException {
//        Properties p = Properties.INSTANCE;
//        p.load("test/testdata/inqubus_test.ok");
//        p.setDbLocation("d_loc");
//        p.save();
//        Field[] fields = p.getClass().getDeclaredFields();
//        for(Field f: fields){
//            f.setAccessible(true);
//            System.out.println(f.get(p));
//        }
//    }

    @Test
    public void testCreteConfig() throws ConfigurationException{
        Properties p = Properties.INSTANCE;
        p.setCommentDownload(true);
        p.save(new File("test/testdata/save.xml"));
    }
}
